package ink.wgink.gateway.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: FilterRequestTypeEnum
 * @Description: 请求过滤器类型
 * @Author: WangGeng
 * @Date: 2021/5/30 16:54
 * @Version: 1.0
 **/
public enum FilterRequestResponseTypeEnum {
    ADD("add", "添加"),
    SET("set", "设置（替换）"),
    REMOVE("remove", "移除");

    private String value;
    private String summary;

    FilterRequestResponseTypeEnum(String value, String summary) {
        this.value = value;
        this.summary = summary;
    }

    public String getValue() {
        return value;
    }

    public String getSummary() {
        return summary;
    }
}
